# Uses of Enum
org.kapott.hbci.dialog.DialogEvent

Packages that use DialogEvent
Package
Description
org.kapott.hbci.dialog
org.kapott.hbci.passport
Passports repräsentieren die HBCI-Sicherheitsmedien, mit denen Zugangsdaten eines Bankkunden verwaltet werden.

## Uses of DialogEvent in org.kapott.hbci.dialog

Methods in org.kapott.hbci.dialog that return DialogEvent
Modifier and Type
Method
Description
`static DialogEvent`
DialogEvent.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DialogEvent[]`
DialogEvent.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of DialogEvent in org.kapott.hbci.passport

Methods in org.kapott.hbci.passport with parameters of type DialogEvent
Modifier and Type
Method
Description
`void`
AbstractHBCIPassport.`onDialogEvent(DialogEvent event, DialogContext ctx)`
`void`
AbstractPinTanPassport.`onDialogEvent(DialogEvent event, DialogContext ctx)`
`void`
AbstractRDHPassport.`onDialogEvent(DialogEvent event, DialogContext ctx)`
`void`
HBCIPassportInternal.`onDialogEvent(DialogEvent event, DialogContext ctx)`
Wird bei einem Dialog-Event ausgefuehrt.